GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List competitors GETAdd competitor POSTUpdate competitor PATCHBulk update competitors POSTSet competitor tags PUTTag competitors POST
Competitors

Update competitor PATCH

Edit a competitor's name, website and variations.

Set competitor tags PUT

Replace a competitor's tags.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Competitors

Bulk update competitors

POST
/brands/{brandId}/competitors/bulk

Change the relation of competitors or delete them.

Authorization

apiKey write
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Scope: write

Path Parameters

brandId*string
Formatuuid

Request Body

application/json
  1. body
  1. body
  2. …
ids*array<>
Items1 <= items <= 100
action*string

suggest moves competitors back to Suggestions, used to undo a change

Value in"direct""ignore""suggest""delete"

Response Body

Applied to every listed competitor of the brand

Example Request
curl -X POST 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/competitors/bulk' \  -H 'Content-Type: application/json' \  -d '{  "ids": [    "6e0346a3-e54d-40e3-9779-4ba1e707e35b"  ],  "action": "direct"}'
Example Response
Empty

Update competitor PATCH

Edit a competitor's name, website and variations.

Set competitor tags PUT

Replace a competitor's tags.

Start free trial
Start free trial
Example Request
curl -X POST 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/competitors/bulk' \
  -H 'Content-Type: application/json' \
  -d '{
  "ids": [
    "6e0346a3-e54d-40e3-9779-4ba1e707e35b"
  ],
  "action": "direct"
}'